apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: energetics
  title: Energetics module
  description: Golemio Energetics module
  tags:
    - module
    - dataplatform
    - typescript
  annotations:
    backstage.io/source-location: url:https://gitlab.com/operator-ict/golemio/code/modules/energetics
    backstage.io/techdocs-ref: url:https://gitlab.com/operator-ict/golemio/code/modules/energetics/-/tree/master?ref_type=heads
  links:
    - url: https://www.npmjs.com/package/@golemio/energetics
      title: NPM
spec:
  type: module
  lifecycle: production
  owner: team-backend
  system: golemio-data-platform
  dependsOn:
    - 'component:core'
  providesApis:
    - "energetics-api"
    - "energetics-input-api"

---

apiVersion: backstage.io/v1alpha1
kind: API
metadata:
  name: energetics-api
  description: Golemio Energetics module api
spec:
  type: openapi
  lifecycle: production
  owner: team-backend
  definition:
    $text: https://gitlab.com/operator-ict/golemio/code/modules/energetics/-/blob/master/docs/openapi-output.yaml

---

apiVersion: backstage.io/v1alpha1
kind: API
metadata:
  name: energetics-input-api
  description: Golemio Energetics module input api
spec:
  type: openapi
  lifecycle: production
  owner: team-backend
  definition:
    $text: https://gitlab.com/operator-ict/golemio/code/modules/energetics/-/blob/master/docs/openapi-input.yaml
